Package org.apache.tools.ant.taskdefs.optional.ssh

# Class SSHSession.RemoteTunnel

java.lang.Object
org.apache.tools.ant.taskdefs.optional.ssh.SSHSession.RemoteTunnel

Enclosing class:
  `SSHSession`

public class SSHSession.RemoteTunnel extends Object

## Constructor Summary

Constructors
Constructor
Description
`RemoteTunnel()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getLHost()`
`int`
`getLPort()`
`int`
`getRPort()`
`void`
`setLHost(String lhost)`
`void`
`setLPort(int lport)`
`void`
`setRPort(int rport)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### RemoteTunnel

public RemoteTunnel()

## Method Details

### setLPort

public void setLPort(int lport)

### setLHost

public void setLHost(String lhost)

### setRPort

public void setRPort(int rport)

### getLPort

public int getLPort()

### getLHost

public String getLHost()

### getRPort

public int getRPort()